Bug 3404 - undefined symbol: dbopen
: undefined symbol: dbopen
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nss_ldap)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-25 13:28 by
Modified: 2005-08-31 01:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-25 13:28:08
# id someone 
id: relocation error: /lib/libnss_ldap.so.2: undefined symbol: dbopen 
----------------- 
Package: nss_ldap-211-alt1 
Previous version of the package works fine for me. 
 
#egrep "^passwd|^shadow|^group" /etc/nsswitch.conf 
passwd:     files ldap 
shadow:     tcb files ldap 
group:      files ldap 
 
#ldd -r /lib/libnss_ldap.so.2 
        libldap.so.2 => /lib/libldap.so.2 (0x4002a000) 
        liblber.so.2 => /lib/liblber.so.2 (0x4005c000) 
        libdb-4.1.so => /lib/libdb-4.1.so (0x4006a000) 
        libdl.so.2 => /lib/libdl.so.2 (0x4012b000) 
        libnsl.so.1 => /lib/libnsl.so.1 (0x4012e000) 
        libresolv.so.2 => /lib/libresolv.so.2 (0x40143000) 
        libc.so.6 => /lib/libc.so.6 (0x40156000) 
        libkrb5.so.3 => /usr/lib/krb5/libkrb5.so.3 (0x40271000) 
        libk5crypto.so.3 => /usr/lib/krb5/libk5crypto.so.3 (0x402d8000) 
        libcom_err.so.3 => /usr/lib/krb5/libcom_err.so.3 (0x402fa000) 
        libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x402fe000) 
        libssl.so.0 => /lib/libssl.so.0 (0x40312000) 
        libcrypto.so.0 => /lib/libcrypto.so.0 (0x40342000) 
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000) 
undefined symbol: dbopen        (/lib/libnss_ldap.so.2)
------- Comment #1 From 2003-12-29 13:18:20 -------
Fixed in alt2. Add nss_ldap-DB4-alt.patch, now file db.h and db-185.h includes
from db4/*.